eID middleware |

# be.portugal.eid.PTEID_Picture Class Reference

Class for the picture document on a EID Card. More...

Inheritance diagram for be.portugal.eid.PTEID_Picture:

List of all members.

## Public Member Functions
synchronized void | delete ()
PTEID_ByteArray | getData () throws java.lang.Exception
| Get the picture itself (jpg format).
PTEID_ByteArray | getHash () throws java.lang.Exception
| Get the hash of the picture.
## Protected Member Functions
| PTEID_Picture (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_Picture obj)

## Detailed Description

Class for the picture document on a EID Card.

See also:
  PTEID_EIDCard.getPicture() PTEID_EIDCard.getDocument()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_Picture.PTEID_Picture | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_Picture.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Biometric.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_Picture.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Biometric.

static long be.portugal.eid.PTEID_Picture.getCPtr | ( | PTEID_Picture | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_Picture.swigCPtr.

PTEID_ByteArray be.portugal.eid.PTEID_Picture.getData | ( |  | ) | throws java.lang.Exception

Get the picture itself (jpg format).

PTEID_ByteArray be.portugal.eid.PTEID_Picture.getHash | ( |  | ) | throws java.lang.Exception

Get the hash of the picture.